Ask Your Question
1

E: Unable to locate package ros-noetic-ros-base

asked 2020-05-24 21:32:12 -0500

Dave_ROS gravatar image

updated 2020-05-25 02:50:23 -0500

gvdhoorn gravatar image

I following the tutorial to install roetic on my Debian 10 buster system. I get the following error:

E: Unable to locate package ros-noetic-ros-base

When I run sudo apt update, ros does appear in the update list.

"packages.ros.org/ros/ubuntu buster InRelease"
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
2

answered 2020-05-25 03:06:16 -0500

gvdhoorn gravatar image

updated 2020-05-25 03:17:51 -0500

I've just tested this in a debian:buster Docker container (on amd64) and following the installation instructions results in apt wanting to install 1126MB of packages for me when I ask it to install ros-noetic-ros-base. So it seems to work.

What is the output fo uname -rvmp on your machine?

Note that Buster only gets binary packages (from the ROS buildfarm) for the amd64 and arm64 architectures (see also wiki/noetic/Installation). If you're attempting to install it on other platforms (such as armhf) you cannot install it using apt.

edit flag offensive delete link more

Comments

The output of uname -rvmp is

4.19.0-9-armmp-lpae #1 SMP Debian 4.19.118-2 (2020-04-29) armv7l unknown

...armv7l is 32 bit processor. face palm

Dave_ROS gravatar image Dave_ROS  ( 2020-05-25 05:20:21 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2020-05-24 21:32:12 -0500

Seen: 207 times

Last updated: May 25